Bug 1802368 - cluster member controller needs to use EtcdClient interface
Summary: cluster member controller needs to use EtcdClient interface
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Sam Batschelet
QA Contact: ge liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-13 02:32 UTC by Alay Patel
Modified: 2020-05-04 11:36 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:36:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 132 0 None closed Bug 1802368: etcdcli: add UnhealthyMemberLister, bootstrapteardown: use the EtcdClient interface 2020-02-18 06:53:38 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:36:42 UTC

Description Alay Patel 2020-02-13 02:32:04 UTC
Description of problem:

The EtcdClient[1] was introduced to get the etcd endpoints from nodes. The cluster member controller should use this client instead of getting it from observations.

1. https://github.com/openshift/cluster-etcd-operator/pull/119

Comment 2 ge liu 2020-02-18 06:57:36 UTC
Close this one for there is new bug for tracing more for it.
https://bugzilla.redhat.com/show_bug.cgi?id=1802748

Comment 4 errata-xmlrpc 2020-05-04 11:36:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.